/*
 * @Author: wrh
 * @Date: 2024-03-12 15:30:58
 * @LastEditors: Please set LastEditors
 * @LastEditTime: 2024-03-12 15:38:27
 */
import request from '@/utils/request'

// 查询cmc车辆费用列表
export function listCarExpense(query) {
  return request({
    url: '/oa/carExpense/list',
    method: 'get',
    params: query
  })
}

// 查询cmc车辆费用详细
export function getCarExpense(carExpenseId) {
  return request({
    url: '/oa/carExpense/' + carExpenseId,
    method: 'get'
  })
}

// 新增cmc车辆费用
export function addCarExpense(data) {
  return request({
    url: '/oa/carExpense',
    method: 'post',
    data: data
  })
}

// 修改cmc车辆费用
export function updateCarExpense(data) {
  return request({
    url: '/oa/carExpense',
    method: 'put',
    data: data
  })
}

// 删除cmc车辆费用
export function delCarExpense(carExpenseId) {
  return request({
    url: '/oa/carExpense/' + carExpenseId,
    method: 'delete'
  })
}
